#include "TouchSensor.h"

namespace RoboidControl {
TouchSensor::TouchSensor() : Thing(Thing::Type::TouchSensor) {}

TouchSensor::TouchSensor(Participant* participant)
    : Thing(participant, Thing::Type::TouchSensor) {}

TouchSensor::TouchSensor(Thing* parent) : Thing(parent->owner) {
  this->SetParent(parent);
}

int TouchSensor::GenerateBinary(char* bytes, unsigned char* ix) {
  return 0;
}

void TouchSensor::ProcessBinary(char* bytes) {
  if (bytes[0] == 1)
    std::cout << this->GetName() << " is Touching something!\n";
  this->touchedSomething |= (bytes[0] == 1);
}

}  // namespace RoboidControl